/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENECREDITTYPEDESC")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenecredittypedesc.findAll", query = "SELECT t FROM Tgenecredittypedesc t"),
    @NamedQuery(name = "Tgenecredittypedesc.findByCredittypecode", query = "SELECT t FROM Tgenecredittypedesc t WHERE t.tgenecredittypedescPK.credittypecode = :credittypecode"),
    @NamedQuery(name = "Tgenecredittypedesc.findByLanguagecode", query = "SELECT t FROM Tgenecredittypedesc t WHERE t.tgenecredittypedescPK.languagecode = :languagecode"),
    @NamedQuery(name = "Tgenecredittypedesc.findByRecordversion", query = "SELECT t FROM Tgenecredittypedesc t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tgenecredittypedesc.findByDescription", query = "SELECT t FROM Tgenecredittypedesc t WHERE t.description = :description")})
public class Tgenecredittypedesc implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TgenecredittypedescPK tgenecredittypedescPK;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Column(name = "DESCRIPTION")
    private String description;
    @JoinColumn(name = "CREDITTYPECODE", referencedColumnName = "CREDITTYPECODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenecredittype tgenecredittype;
    @JoinColumn(name = "LANGUAGECODE", referencedColumnName = "LANGUAGECODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenelanguage tgenelanguage;

    public Tgenecredittypedesc() {
    }

    public Tgenecredittypedesc(TgenecredittypedescPK tgenecredittypedescPK) {
        this.tgenecredittypedescPK = tgenecredittypedescPK;
    }

    public Tgenecredittypedesc(String credittypecode, String languagecode) {
        this.tgenecredittypedescPK = new TgenecredittypedescPK(credittypecode, languagecode);
    }

    public TgenecredittypedescPK getTgenecredittypedescPK() {
        return tgenecredittypedescPK;
    }

    public void setTgenecredittypedescPK(TgenecredittypedescPK tgenecredittypedescPK) {
        this.tgenecredittypedescPK = tgenecredittypedescPK;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Tgenecredittype getTgenecredittype() {
        return tgenecredittype;
    }

    public void setTgenecredittype(Tgenecredittype tgenecredittype) {
        this.tgenecredittype = tgenecredittype;
    }

    public Tgenelanguage getTgenelanguage() {
        return tgenelanguage;
    }

    public void setTgenelanguage(Tgenelanguage tgenelanguage) {
        this.tgenelanguage = tgenelanguage;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tgenecredittypedescPK != null ? tgenecredittypedescPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenecredittypedesc)) {
            return false;
        }
        Tgenecredittypedesc other = (Tgenecredittypedesc) object;
        if ((this.tgenecredittypedescPK == null && other.tgenecredittypedescPK != null) || (this.tgenecredittypedescPK != null && !this.tgenecredittypedescPK.equals(other.tgenecredittypedescPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenecredittypedesc[ tgenecredittypedescPK=" + tgenecredittypedescPK + " ]";
    }
    
}
